FEDORA-2017-54580efa82

security update in Fedora 25 for sudo

Status: stable 2 years ago
  • update to 1.8.20p2
    • added sudo package to dnf/yum protected packages

  • update to 1.8.20p1
  • fixes CVE-2017-1000367

How to install

sudo dnf upgrade --advisory=FEDORA-2017-54580efa82

Comments 12

This update has been submitted for testing by mildew.

This update has obsoleted sudo-1.8.20p1-1.fc25, and has inherited its bugs and notes.

sudo works, trying to remove vim-minimal leads to dnf complaining that the package is protected.

karma: +1 critpath: +1 #1452941: +1 #1457587: +1 #1453074: +1 #1456884: +1 #1457015: +1

works for me

karma: +1 #1453074: +1 #1456884: +1 #1457015: +1

works for me

karma: +1 #1453074: +1 #1456884: +1 #1457015: +1

works for me

karma: +1

This update has been pushed to testing.

Works for me

karma: +1 critpath: +1

No regressions noted.

karma: +1 critpath: +1 #1457587: +1 #1457015: +1

This update has been submitted for stable by bodhi.

Still works.

karma: +1 critpath: +1

This update has been pushed to stable.

Content Type
RPM
Status
stable
Test Gating
Submitted by
Update Type
security
Update Severity
urgent
Karma
+5
stable threshold: 4
unstable threshold: -2
Autopush
Enabled
Dates
submitted 2 years ago
in testing 2 years ago
in stable 2 years ago

Related Bugs 5

0+1 #1452941 Removing vim-minimal package also removes sudo
0+1 #1453074 CVE-2017-1000367 sudo: Privilege escalation in via improper get_process_ttyname() parsing
0+1 #1456884 CVE-2017-1000367 sudo: sudo: Privilege escalation in via improper get_process_ttyname() parsing [fedora-all]
0+2 #1457015 sudo-1.8.20p1 is available
0+2 #1457587 sudo-1.8.20p2 is available

Automated Test Results